    //
//  MainViewController.m
//  SecondApp
//
//  Created by valvoline on 10/21/10.
//  Copyright 2010 Universita  di Catania. All rights reserved.
//

#import "MainViewController.h"


@implementation MainViewController

// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
	
	//creiamo una view grande quanto lo schermo disponibile
	UIView *tempView = [[UIView alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
	[tempView setBackgroundColor:[UIColor redColor]];
	
	//ogni oggetto che eredita da UIViewController, eredità tutte le sue proprietà
	//UIViewController, espone una property UIView, nominata view.
	//In questo modo è possibile dialogare con la VIEW gestita dal CONTROLLER (Modello MVC).
	self.view = tempView;
	
	//possiamo rilasciare. La property è dichiarata come @property(nonatomic, retain).
	//Questo vuol dire che deleghiamo la responsabilità della memoria alla classe ricevente.
	//Ricorda che una property equivale alla scrittura virtuale di due metodi: SETTER e GETTER.
	//In questi metodi, a seconda dei flags specificati nella property, è possibile modificare
	//il tipo di effetto sul valore del retainCounter del ricevente.
	//Nel nostro caso self.view è dichiarata come property(nonatomic, retain). Questo vuol dire
	//che viene effettuato un incremento del retainCounter specificato come RVALUE dell'espressione.
	[tempView release];	
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)dealloc {
    [super dealloc];
}
@end