//
//  SecondAppAppDelegate.m
//  SecondApp
//
//  Created by valvoline on 10/21/10.
//  Copyright 2010 Universita  di Catania. All rights reserved.
//

#import "SecondAppAppDelegate.h"
#import "MainViewController.h"

@implementation SecondAppAppDelegate

#pragma mark -
#pragma mark Application lifecycle

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    
	window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    
	//UIViewController è una classe generica che ci permette di gestire una UIView in maniera da seguire
	//il paradigma MVC (Model View Controller).
	mainViewController = [[MainViewController alloc] init];
	
	//Aggiungo la property view del mio oggetto MainViewController che eredita da UIViewController
	//la property view esposta da UIViewController è qualcosa del tipo:
	//
	//@property(nonatomic, retain) UIView *view;
	//
	[window addSubview:mainViewController.view];

	//non possiamo rilasciare mainViewController, perchè il suo retainCounter andrebbe a zero
	//creando effetti imprevedibili.
	
    [window makeKeyAndVisible];
    return YES;
}


#pragma mark Memory management
- (void)applicationDidReceiveMemoryWarning:(UIApplication *)application {
    /*
     Free up as much memory as possible by purging cached data objects that can be recreated (or reloaded from disk) later.
     */
}


- (void)dealloc {
	//è l'unico posto dove posso rilasciare in maniera sicura mainViewController
	//ecco perchè deve essere dichiarato come variabile nell'interfaccia.
	[mainViewController release];
    [window release];
    [super dealloc];
}


@end
